apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2024-03-18T09:23:42Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:description': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:targetNamespace': {}
          'f:vms': {}
          'f:warm': {}
      manager: kubectl-create
      operation: Update
      time: '2024-03-18T09:23:42Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2024-03-18T09:38:07Z'
  name: esxi8-plan-tpm
  namespace: openshift-mtv
  resourceVersion: '22200048'
  uid: c2a2b667-f9bd-46f8-8dbb-fa4d779cd247
spec:
  description: ''
  map:
    network:
      name: networkmap-esx8
      namespace: openshift-mtv
    storage:
      name: storagemap-esx8
      namespace: openshift-mtv
  provider:
    destination:
      name: host
      namespace: openshift-mtv
    source:
      name: esxi8.0.1-tpm
      namespace: openshift-mtv
  targetNamespace: openshift-mtv
  vms:
    - name: esx8.0-win11-x86_64-uefi-vtpm
  warm: false
status:
  conditions:
    - category: Required
      lastTransitionTime: '2024-03-18T09:28:43Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2024-03-18T09:38:06Z'
      message: The plan execution has SUCCEEDED.
      status: 'True'
      type: Succeeded
    - category: Warn
      items:
        - ' id:6 name:''esx8.0-win11-x86_64-uefi-vtpm'' '
      lastTransitionTime: '2024-03-18T09:38:07Z'
      message: 'Target VM name does not comply with DNS1123 RFC, will be automatically changed.'
      reason: NotValid
      status: 'True'
      type: TargetNameNotValid
  migration:
    completed: '2024-03-18T09:38:06Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2024-03-18T09:38:06Z'
            message: The plan execution has SUCCEEDED.
            status: 'True'
            type: Succeeded
        map:
          network:
            generation: 1
            name: networkmap-esx8
            namespace: openshift-mtv
            uid: 9b2ac277-7ff6-41c7-9adb-0be2766e23fd
          storage:
            generation: 1
            name: storagemap-esx8
            namespace: openshift-mtv
            uid: 108b7cb3-8075-4d98-9bd6-cac14015864f
        migration:
          generation: 1
          name: esxi8-plan-tpm-1710754144445
          namespace: openshift-mtv
          uid: cf52e77f-afa0-4320-962f-8c088f1f8d66
        plan:
          generation: 1
          name: esxi8-plan-tpm
          namespace: openshift-mtv
          uid: c2a2b667-f9bd-46f8-8dbb-fa4d779cd247
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 6361f48c-fe1b-4aa6-b485-8b2cdca079fa
          source:
            generation: 1
            name: esxi8.0.1-tpm
            namespace: openshift-mtv
            uid: c6e1d7b1-603e-4935-bdb7-3fa1d0736ad0
    started: '2024-03-18T09:29:04Z'
    vms:
      - completed: '2024-03-18T09:38:06Z'
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2024-03-18T09:38:06Z'
            message: The VM migration has SUCCEEDED.
            status: 'True'
            type: Succeeded
        id: '6'
        name: esx80-win11-x86-64-uefi-vtpm
        phase: Completed
        pipeline:
          - completed: '2024-03-18T09:29:20Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2024-03-18T09:29:04Z'
          - annotations:
              unit: MB
            completed: '2024-03-18T09:29:33Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 98304
              total: 98304
            started: '2024-03-18T09:29:24Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2024-03-18T09:29:33Z'
                name: '[datastore1 (3)] esx8.0-win11-x86_64-uefi-vtpm/esx8.0-win11-x86_64-uefi-vtpm.vmdk'
                phase: Completed
                progress:
                  completed: 98304
                  total: 98304
                reason: Transfer completed.
                started: '2024-03-18T09:29:30Z'
          - completed: '2024-03-18T09:30:05Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2024-03-18T09:29:36Z'
          - annotations:
              unit: MB
            completed: '2024-03-18T09:38:02Z'
            description: Copy disks.
            name: DiskTransferV2v
            phase: Completed
            progress:
              completed: 98304
              total: 98304
            started: '2024-03-18T09:30:08Z'
            tasks:
              - annotations:
                  unit: MB
                name: '[datastore1 (3)] esx8.0-win11-x86_64-uefi-vtpm/esx8.0-win11-x86_64-uefi-vtpm.vmdk'
                progress:
                  completed: 0
                  total: 98304
          - completed: '2024-03-18T09:38:06Z'
            description: Create VM.
            name: VirtualMachineCreation
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2024-03-18T09:38:06Z'
        restorePowerState: 'Off'
        started: '2024-03-18T09:29:04Z'
  observedGeneration: 1

